/* jshint undef: true, unused: true */
/* global plugin, require */

//var facade = require("facade");
var on = require("on")(plugin);
var Objects = require("convenience").Objects;
//var console = require("console")(plugin.info().logger);
var form = require("form");

// Sync plugin settings to master form config
var pluginSettings = plugin.userSettings();
pluginSettings.onUpdate(Objects.toConsumer(function (settings) {
    form.updateFormConfig(settings.toMap());
}));

// If plugin settings are empty then create a fresh set of settings
var masterFormConfig = pluginSettings.toMap();
if (masterFormConfig.isEmpty())
{
    pluginSettings.set(form.getFormConfig());
}
else
{
    form.updateFormConfig(masterFormConfig);    
}

on({
    WebServerEvent: function (event)
    {
        var webServer = event.getWebServer();
        webServer.add(form.requestHandler);
    }
});
